import request from '@/utils/request'

//获取控制项列表
export function listSchemeGlobal(query) {
  return request({
    url: '/strategy/global-info/page',
    method: 'get',
    params: query
  })
}

// 获取全局策略管理列表
export function listItem(query) {
  return request({
    url: '/record/strategy-global-record/page',
    method: 'get',
    params: query
  })
}

//新建全局策略

export function addchemeGlobal(params) {
  return request({
    url: "/strategy/global-info/create",
    method: 'post',
    data: params
  })
}

//提交申请记录
export function addapplication(params) {
  return request({
    url: "/record/strategy-global-record/create",
    method: 'post',
    data: params
  })
}